<?php
//zend54   
//Decode by www.dephp.cn  QQ 2859470
?>
<?php
function gp($keys, $method = NULL, $cvtype = 1, $istrim = true)
{
	!is_array($keys) && ($keys = array($keys));

	foreach ($keys as $key ) {
		if ($key == "GLOBALS") {
			continue;
		}

		$GLOBALS[$key] = NULL;
		if (($method != "P") && isset($_GET[$key])) {
			$GLOBALS[$key] = $_GET[$key];
		}
		else {
			if (($method != "G") && isset($_POST[$key])) {
				$GLOBALS[$key] = $_POST[$key];
			}
		}

		if ((isset($GLOBALS[$key]) && !empty($cvtype)) || ($cvtype == 2)) {
			$GLOBALS[$key] = escapeChar($GLOBALS[$key], $cvtype == 2, $istrim);
		}
	}
}

function authstr($string, $operation = "DECODE", $key = "", $expiry = 0)
{
	$key_length = 5;
	$key = md5($key != "" ? $key : $GLOBALS["_config"]["authkey"]);
	$fixedkey = md5($key);
	$egiskeys = md5(substr($fixedkey, 16, 16));
	$runtokey = ($key_length ? ($operation == "DECODE" ? substr($string, 0, $key_length) : substr(md5(microtime(true)), -$key_length)) : "");
	$keys = md5(substr($runtokey, 0, 16) . substr($fixedkey, 0, 16) . substr($runtokey, 16) . substr($fixedkey, 16));
	$string = ($operation == "ENCODE" ? sprintf("%010d", $expiry ? $expiry + time() : 0) . substr(md5($string . $egiskeys), 0, 16) . $string : base64_decode(substr($string, $key_length)));
	$i = 0;
	$result = "";
	$string_length = strlen($string);

	for ($i = 0; $i < $string_length; $i++) {
		$result .= chr(ord($string[$i]) ^ ord($keys[$i % 32]));
	}

	if ($operation == "ENCODE") {
		return $runtokey . str_replace("=", "", base64_encode($result));
	}
	else {
		if (((substr($result, 0, 10) == 0) || (0 < (substr($result, 0, 10) - time()))) && (substr($result, 10, 16) == substr(md5(substr($result, 26) . $egiskeys), 0, 16))) {
			return substr($result, 26);
		}
		else {
			return "";
		}
	}
}

function get_client_ip()
{
	$ip = $_SERVER["REMOTE_ADDR"];
	if (isset($_SERVER["HTTP_CLIENT_IP"]) && preg_match("/^([0-9]{1,3}\.){3}[0-9]{1,3}$/", $_SERVER["HTTP_CLIENT_IP"])) {
		$ip = $_SERVER["HTTP_CLIENT_IP"];
	}
	else {
		if (isset($_SERVER["HTTP_X_FORWARDED_FOR"]) && preg_match_all("/\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}/s", $_SERVER["HTTP_X_FORWARDED_FOR"], $matches)) {
			foreach ($matches[0] as $value_ip ) {
				if (!preg_match("/^(10|192\.168)\./", $value_ip)) {
					$ip = $value_ip;
					break;
				}
			}
		}
	}

	return $ip;
}

function escapeChar($mixed, $isint = false, $istrim = false)
{
	if (is_array($mixed)) {
		foreach ($mixed as $key => $value ) {
			$mixed[$key] = escapeChar($value, $isint, $istrim);
		}
	}
	else if ($isint) {
		$mixed = (int) $mixed;
	}
	else {
		if (!is_numeric($mixed) && ($istrim ? $mixed = trim($mixed) : $mixed) && $mixed) {
			$mixed = escapeStr($mixed);
		}
	}

	return $mixed;
}

function escapeStr($string)
{
	$string = str_replace(array("\000", "%00", "\r"), "", $string);
	$string = preg_replace(array("/[\\x00-\\x08\\x0B\\x0C\\x0E-\\x1F]/", "/&(?!(#[0-9]+|[a-z]+);)/is"), array("", "&amp;"), $string);
	$string = str_replace(array("%3C", "<"), "&lt;", $string);
	$string = str_replace(array("%3E", ">"), "&gt;", $string);
	$string = str_replace(array("\"", "'", "\t", "  "), array("&quot;", "&#39;", "    ", "&nbsp;&nbsp;"), $string);
	return $string;
}

function getdirname($path = NULL)
{
	if (!empty($path)) {
		if (strpos($path, "\\") !== false) {
			return substr($path, 0, strrpos($path, "\\")) . "/";
		}
		else if (strpos($path, "/") !== false) {
			return substr($path, 0, strrpos($path, "/")) . "/";
		}
	}

	return "./";
}

function w_substr($str, $start = 0, $length, $charset = "utf-8", $suffix = true)
{
	$suffix_str = ($suffix ? "…" : "");

	if (function_exists("mb_substr")) {
		return mb_substr($str, $start, $length, $charset) . $suffix_str;
	}
	else if (function_exists("iconv_substr")) {
		return iconv_substr($str, $start, $length, $charset) . $suffix_str;
	}
	else {
		$pattern = array();
		$pattern["utf-8"] = "/[\\x01-\\x7f]|[\\xc2-\\xdf][\\x80-\\xbf]|[\\xe0-\\xef][\\x80-\\xbf]{2}|[\\xf0-\\xff][\\x80-\\xbf]{3}/";
		$pattern["gb2312"] = "/[\\x01-\\x7f]|[\\xb0-\\xf7][\\xa0-\\xfe]/";
		$pattern["gbk"] = "/[\\x01-\\x7f]|[\\x81-\\xfe][\\x40-\\xfe]/";
		$pattern["big5"] = "/[\\x01-\\x7f]|[\\x81-\\xfe]([\\x40-\\x7e]|\\xa1-\\xfe])/";
		preg_match_all($pattern[$charset], $str, $matches);
		$slice = implode("", array_slice($matches[0], $start, $length));
		return $slice . $suffix_str;
	}
}

function getPageHtml($page, $pages, $url)
{
	$_pageNum = 10;
	$page = ($page < 1 ? 1 : $page);
	$page = ($pages < $page ? $pages : $page);
	$pages = ($pages < $page ? $page : $pages);
	$_start = $page - floor($_pageNum / 2);
	$_start = ($_start < 1 ? 1 : $_start);
	$_end = $page + floor($_pageNum / 2);
	$_end = ($pages < $_end ? $pages : $_end);
	$_curPageNum = ($_end - $_start) + 1;
	if (($_curPageNum < $_pageNum) && (1 < $_start)) {
		$_start = $_start - $_pageNum - $_curPageNum;
		$_start = ($_start < 1 ? 1 : $_start);
		$_curPageNum = ($_end - $_start) + 1;
	}

	if (($_curPageNum < $_pageNum) && ($_end < $pages)) {
		$_end = $_end + ($_pageNum - $_curPageNum);
		$_end = ($pages < $_end ? $pages : $_end);
	}

	$_pageHtml = "<ul class=\"pagination\">";

	if (1 < $page) {
		$_pageHtml .= "<li><a  title=\"上一页\" href=\"" . $url . "&p=" . ($page - 1) . "\">«</a></li>";
	}

	for ($i = $_start; $i <= $_end; $i++) {
		if ($i == $page) {
			$_pageHtml .= "<li class=\"active\"><a>" . $i . "</a></li>";
		}
		else {
			$_pageHtml .= "<li><a href=\"" . $url . "&p=" . $i . "\">" . $i . "</a></li>";
		}
	}

	if ($page < $_end) {
		$_pageHtml .= "<li><a  title=\"下一页\" href=\"" . $url . "&p=" . ($page + 1) . "\">»</a></li>";
	}

	$_pageHtml .= "</ul>";
	return $_pageHtml;
}

define("R_P", getdirname(__FILE__));
$_config = array();
include R_P . "config.php";
date_default_timezone_set($_config["timezone"]);

if ($_config["session"] === true) {
}

include R_P . "lib/mysql_class.php";
$db = new Mysql($_config["dbhost"], $_config["dbuser"], $_config["dbpw"], $_config["dbname"], $_config["dbport"], $_config["dbcharset"]);
$p_url = "http://" . $_SERVER["HTTP_HOST"] . $_SERVER["REQUEST_URI"];
$bp_url = base64_encode($p_url);
$p_path = dirname($_SERVER["SCRIPT_NAME"]);
if (($p_path == "/") || ($p_path == "\\")) {
	$p_path = "";
}

$timestamp = time();
include R_P . "lib/user_class.php";
$User = new User();

if ($User->check_login()) {
	$cs_uid = authstr($_COOKIE["jhmjhmwssqvipuserinfo2"], "DECODE", "wssqvipjiami");
	$U = $User->getuserinfo($cs_uid, 1);
	$cip = get_client_ip();
}
else {
	$U = "";
}

